org.apache.ignite.ml.sparkmodelparser

## Class SparkModelParser

- java.lang.Object
- - org.apache.ignite.ml.sparkmodelparser.SparkModelParser

-     public class SparkModelParser
      extends Object

  Parser of Spark models.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SparkModelParser()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Model` | `parse(String pathToMdl, SupportedSparkModels parsedSparkMdl)` Load model from parquet (presented as a directory).
    `static Model` | `parse(String pathToMdl, SupportedSparkModels parsedSparkMdl, LearningEnvironment learningEnvironment)` Load model from parquet (presented as a directory).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SparkModelParser

          public SparkModelParser()

  - ### Method Detail

    - #### parse

          public static Model parse(String pathToMdl,
                                    SupportedSparkModels parsedSparkMdl,
                                    LearningEnvironment learningEnvironment)
                             throws IllegalArgumentException

      Load model from parquet (presented as a directory).
      Parameters:
        `pathToMdl` - Path to directory with saved model.
        `parsedSparkMdl` - Parsed spark model.
        `learningEnvironment` - Learning environment.
      Throws:
        `IllegalArgumentException`

    - #### parse

          public static Model parse(String pathToMdl,
                                    SupportedSparkModels parsedSparkMdl)
                             throws IllegalArgumentException

      Load model from parquet (presented as a directory).
      Parameters:
        `pathToMdl` - Path to directory with saved model.
        `parsedSparkMdl` - Parsed spark model.
      Throws:
        `IllegalArgumentException`

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022